﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CNetTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }

        private Steema.TeeChart.Styles.Contour newContour;

        private void InitializeChart()
        {
            chartController1.Chart = tChart1;

            tChart1.Aspect.View3D = false;

            xmlSource1.Chart = tChart1.Chart;
            xmlSource1.Load("..\\..\\..\\EEM Data.xml");
            newContour = new Steema.TeeChart.Styles.Contour();
						newContour.Brush.Color = System.Drawing.Color.FromArgb(((int)(((byte)(68)))), ((int)(((byte)(102)))), ((int)(((byte)(163)))));
						newContour.ColorEach = false;
						newContour.IrregularGrid = true;

						int threshold = 4000;

						for (int a = 0; a < tChart1.Series.Count; a++)
						{
							for (int b = 0; b < tChart1[a].Count; b++)
							{
								double y1 = tChart1.Series[a].YValues[b];
								y1 = Math.Min(y1, threshold);
								newContour.Add(tChart1[a].XValues[b], y1, (50 + (a * 10)));
							}
						}

						//int numberOfSeries = tChart1.Series.Count;
						//int a = 0;
						//while (a < numberOfSeries)
						//{

						//  int numberOfValues = tChart1.Series[a].Count;

						//  int b = 0;
						//  while (b < numberOfValues)
						//  {

						//    double y1 = tChart1.Series[a].YValues[b];
						//    if (y1 > threshold)
						//      y1 = threshold;
						//    newContour.Add(tChart1.Series[a].XValues[b], y1, (50 + (a * 10)));
						//    b = b + 1;
						//  }

						//  a = a + 1;
						//}


            //newContour.FillSampleValues();

						newContour.EndColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(255)))));
						newContour.FillLevels = true;
						newContour.Marks.Brush.Visible = false;
						newContour.Marks.Callout.ArrowHead = Steema.TeeChart.Styles.ArrowHeadStyles.None;
						newContour.Marks.Callout.ArrowHeadSize = 8;
						newContour.Marks.Callout.Brush.Color = System.Drawing.Color.Black;
						newContour.Marks.Callout.Distance = 0;
						newContour.Marks.Callout.Draw3D = false;
						newContour.Marks.Callout.Length = 10;
						newContour.Marks.Callout.Style = Steema.TeeChart.Styles.PointerStyles.Rectangle;
						newContour.Marks.Transparent = true;
						newContour.Marks.Visible = true;
						newContour.NumLevels = 8;
						newContour.PaletteMin = 0;
						newContour.PaletteStep = 0;
						newContour.PaletteStyle = Steema.TeeChart.Styles.PaletteStyles.Strong;
						newContour.Pen.Color = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(192)))), ((int)(((byte)(192)))));
						newContour.Pen.Style = System.Drawing.Drawing2D.DashStyle.Dot;
						newContour.Pointer.HorizSize = 2;
						newContour.Pointer.Pen.Visible = false;
						newContour.Pointer.Style = Steema.TeeChart.Styles.PointerStyles.Rectangle;
						newContour.Pointer.VertSize = 2;
						newContour.StartColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))));

            tChart1.Series.RemoveAllSeries();
            tChart1.Series.Add(newContour);
        }

        private void tChart1_DoubleClick(object sender, EventArgs e)
        {
            try
            {
                Steema.TeeChart.Editor editor1 = new Steema.TeeChart.Editor(tChart1);
                editor1.ShowModal();
            }
            catch (Exception)
            {
            }
        }
    }
}
